Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Jul 2014, 23:53
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
VLC 1.0.0rc4 Media player .pet for Puppy
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 9 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 7, 8, 9 Next
Author Message
mikeb


Joined: 23 Nov 2006
Posts: 8028

PostPosted: Sat 20 Jun 2009, 21:36    Post_subject:  

Ok first point...I was testing in puppy 4.12 ram only (512 MB)..still seems barmy. And if you are wanting to make bigger packages sfs is probably better anyway.
On the subject of files this new package has all the header files, a duplicate set of qt4 libs in /opt and only qtcore and gui are needed...that lot should save a few pounds. And I tested without copying in the opengl libs (cause no opengl with 4 on here (yet)) but vlc does not mind...most dependancies are soft and can be left out for those wanting to save space but it's good to start with everything and strip downwards.

Ok seems to be working ok. Skin support is definately not including some skins but is ok for those that are supported.(that's 3 oks)

Dvd was fine using the original dvdnav/read libs in 4..I typed in the device this time.

Got a stream working from shoutcast..yay but no sound giving this complaint..
Code:
 nsv demux debug:     - audio `mp4a'
[00000380] main decoder debug: thread started
[00000400] main decoder debug: looking for decoder module: 22 candidates
[00000400] avcodec decoder debug: refusing to use ffmpeg's (MPEG AAC Audio) decoder which is buggy

odd because it is using the shared avcodec which plays the same streams ok in vlc 0.8.6h

Otherwise this is pretty much a worker...optimise the size and let the world test. As for opengl anyone who has it setup will already have those libraries so as long as the (small)plugin is present the rest could be left out too.
And your qt4 libs are smaller than most..nice one.

regards

mike

ps...no gooooooom!! <-- me is a sad case

as for puppy 2.xx as long as glibc is updated ...now testing 2.6.1..seems happy..(indeed cures some nasty firefox/flash crashes)..and avcodec borrowed from 4.xx . Did try before with an earlier version of 0.9.2 and it fired up.
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Sat 20 Jun 2009, 21:40    Post_subject:  

sikpuppy wrote:
ttuuxxx wrote:

Hi mike that's why I took the package manager from 4 series and made it work in 2 series Smile cures that old problem, in 2.14.1Xv4
ttuuxxx


What about 4...is there a limit before it fails? I am making a large package, it might be ~100Mb is that going to be an issue?

Hmmz, perhaps I should just make it a SFS file, a pet that size might take ages to install anyway Razz


Na in 4 series I've made pets over 200MB, lol
It was a issue in 2 series, that they fixed in 3 series, Mike uses 2 series.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Sat 20 Jun 2009, 21:54    Post_subject:  

mikeb wrote:

Ok seems to be working ok. Skin support is definately not including some skins but is ok for those that are supported.(that's 3 oks)

Dvd was fine using the original dvdnav/read libs in 4..I typed in the device this time.

Got a stream working from shoutcast..yay but no sound giving this complaint..
[code] nsv demux debug: - audio `mp4a'
[00000380] main decoder debug: thread started

I think that skin support has changed since most of those skins were released.

I seem to be having problems in general with mp4a files, which is also the codec used by iPod video files (for the audio portion), of which I have few. I will see if this can't be rectified.

As for Goom...I will attempt to fix that too, I don't see why it wasn't compiled...

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send_private_message MSNM 
mikeb


Joined: 23 Nov 2006
Posts: 8028

PostPosted: Sat 20 Jun 2009, 22:02    Post_subject:  

The package manager in puppy 4.12 copies the pet to /root/.packages ..is 4.20 different?....a picture paints.....
mike

Edited_time_total
Back to top
View user's profile Send_private_message 
mikeb


Joined: 23 Nov 2006
Posts: 8028

PostPosted: Sat 20 Jun 2009, 22:07    Post_subject:  

Quote:
I seem to be having problems in general with mp4a files, which is also the codec used by iPod video files (for the audio portion), of which I have few. I will see if this can't be rectified.

yes is odd ..otherwise seems a very solid compilation....need more testers as there is so much functionality in there.

mike
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Sat 20 Jun 2009, 22:11    Post_subject:  

sikpuppy wrote:
mikeb wrote:

Ok seems to be working ok. Skin support is definately not including some skins but is ok for those that are supported.(that's 3 oks)

Dvd was fine using the original dvdnav/read libs in 4..I typed in the device this time.

Got a stream working from shoutcast..yay but no sound giving this complaint..
[code] nsv demux debug: - audio `mp4a'
[00000380] main decoder debug: thread started

I think that skin support has changed since most of those skins were released.

I seem to be having problems in general with mp4a files, which is also the codec used by iPod video files (for the audio portion), of which I have few. I will see if this can't be rectified.

As for Goom...I will attempt to fix that too, I don't see why it wasn't compiled...


When I made up the 8.6h package, I also didn't have mp4 support, strange, but I then just took a mp4 plugin from a ubuntu version of 8.6h and shot it in the package, and it worked just fine. So I wouldn't worry too much about that, it can be added after.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Sun 21 Jun 2009, 01:06    Post_subject:  

ttuuxxx wrote:

When I made up the 8.6h package, I also didn't have mp4 support, strange, but I then just took a mp4 plugin from a ubuntu version of 8.6h and shot it in the package, and it worked just fine. So I wouldn't worry too much about that, it can be added after.
ttuuxxx
Thanks Smile

There is a configure switch --enable-goom. Sad
Oh well, gives me an excuse to try again.

***

Got it! Ok I'll bung it up soonish.

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send_private_message MSNM 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Sun 21 Jun 2009, 01:59    Post_subject:  

Ok. It's smaller now, and compiled with shared libraries.

http://cid-da097326680e08e6.skydrive.live.com/self.aspx/VLC/vlc-0.9.9aV6-i686.pet 21Mb

Hopefully I haven't broken any dependencies, but Goom now works Razz The only thing that needs doing, in the preferences, is to set the Video Out as OpenGL. Otherwise Goom borks.

I have put the locales in a seperate file: http://cid-da097326680e08e6.skydrive.live.com/self.aspx/VLC/vlc-0.9.9aV5locales-i686.pet 5Mb

*edit* The V numbers were just so I didn't get too muddled swapping stuff around, they don't signify anything really Razz

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send_private_message MSNM 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Sun 21 Jun 2009, 03:14    Post_subject:  

Hi here's a list of what was missing on 2.14.1X
These dependencies required by vlc-0.9.9aV6-i686 package are missing:

libdvbpsi.so.5
libproxy.so.0
libavcodec.so.51 libavutil.so.49
libSDL_image-1.2.so.0
libavformat.so.51
libdvbpsi.so.5
libpostproc.so.51
libgoom2.so.0
libcdio.so.7
libQt3Support.so.4
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Sun 21 Jun 2009, 04:02    Post_subject:  

Bummer. Must have dropped those files whilst juggling pets.

Hopefully that's all that is missing, if so here's those files as a patch/pet: http://cid-da097326680e08e6.skydrive.live.com/self.aspx/VLC/vlc%7C_patch-1.pet

*edit* I omitted all *.la files, for example "libproxy.la" since a) they are massive and b) hopefully they won't be needed.

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send_private_message MSNM 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Sun 21 Jun 2009, 04:13    Post_subject:  

sikpuppy wrote:
Bummer. Must have dropped those files whilst juggling pets.

Hopefully that's all that is missing, if so here's those files as a patch/pet: http://cid-da097326680e08e6.skydrive.live.com/self.aspx/VLC/vlc%7C_patch-1.pet

*edit* I omitted all *.la files, for example "libproxy.la" since a) they are massive and b) hopefully they won't be needed.


I just did that to the .vlc also, I removed all the la left over compiling extras. They are only good if your going to compile and use them, non of the ones in the /lib/vlc folder are good for anything, the ones that should be kept and made into another DEV package are the /lib/a and /lib/la and /usr/lib/pkgconfig those are handy for people like myself who compile all the time.
but any la or a in /lib/vlc/ can be deleted.
I made a pet with them removed, plus I stripped all the bin and .so files.
went from 51MB extract to 37MB or 16MB pet, I'll upload it in a bit.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Sun 21 Jun 2009, 04:46    Post_subject:  

Well that last package did the trick to fill all the missing deps, but dvdnav doesn't work, every-time I try a dvd it crashes.
ttuuxxx

[00000001] main libvlc debug: libvlc was configured with ./configure '--prefix=/usr' '--enable-run-as-root' '--enable-goom' '--disable-hal' 'PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/X11R7/lib/pkgconfig:/opt/qt4/lib/pkgconfig:/opt/mozilla.org/lib/pkgconfig'
[00000001] main libvlc debug: translation test: code is "C"
[00000357] inhibit interface error: Failed to connect to the D-Bus session daemon: Failed to execute dbus-launch to autolaunch D-Bus session
[00000357] main interface error: no suitable interface module
[00000001] main libvlc error: interface "inhibit,none" initialization failed
[00000001] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
libdvdnav: Using dvdnav version 4.1.3
libdvdnav: DVD Title: Takedown
libdvdnav: DVD Serial Number: c25cee7c
libdvdnav: DVD Title (Alternative): Takedown
libdvdnav: Unable to find map file '/root/.dvdnav/Takedown.map'
libdvdnav: DVD disk reports itself with Region mask 0x00f70000. Regions: 4
libdvdnav: Cell is in block but did not enter at first cell!
libdvdnav: Cell is in block but did not enter at first cell!
libdvdnav: Cell is in block but did not enter at first cell!
vlc: vm.c:863: vm_get_video_aspect: Assertion `aspect == 0 || aspect == 3' failed.

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Sun 21 Jun 2009, 05:01    Post_subject:  

Investigating further, but not today. I will update tomorrow Smile
_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send_private_message MSNM 
mikeb


Joined: 23 Nov 2006
Posts: 8028

PostPosted: Sun 21 Jun 2009, 10:42    Post_subject:  

No email notifications......

anyway have you checked with ldd the dvd nav and read libs ?
dbus enabled now?
This is working 100% on puppy 4.12 with the original libraries.
Actually I didn't try the included ones....hmmm ... but did from the original 4.5mb compile

Goom and opengl ...another oddity...will be testing later..my desires are small and trippy man....

mike
Back to top
View user's profile Send_private_message 
mikeb


Joined: 23 Nov 2006
Posts: 8028

PostPosted: Sun 21 Jun 2009, 10:42    Post_subject:  

No email notifications......

anyway have you checked with ldd the dvd nav and read libs ?
dbus enabled now?
This is working 100% on puppy 4.12 with the original libraries.
Actually I didn't try the included ones....hmmm

Goom and opengl ...another oddity...will be testing later..my desires are small and trippy man....

mike
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 9 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 7, 8, 9 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0904s ][ Queries: 13 (0.0058s) ][ GZIP on ]